# $Revision: 1.3 $, $Date: 2010/08/22 08:51:30 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Services_TwitPic
Summary:	%{_pearname} - PHP Interface to TwitPics API
Summary(pl.UTF-8):	%{_pearname} - interfejs PHP do API TwitPics
Name:		php-pear-%{_pearname}
Version:	0.1.0
Release:	2
License:	BSD Style
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	7c872e6139fca86f1aaa417c32194e46
URL:		http://pear.php.net/package/Services_TwitPic/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-HTTP_Request >= 1.4.3
Requires:	php-pear-PEAR >= 1.4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface for uploading pictures to TwitPic and optionally posting
them (along with status messages) to Twitter as well.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Interfejs do wgrywania zdjęć do serwisu TwitPic oraz opcjonalnie
wysyłanie ich (wraz z komunikatem) do serwisu Twitter.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/Services_TwitPic/docs/example.php
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/TwitPic.php
%{php_pear_dir}/Services/TwitPic

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/Services_TwitPic

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_TwitPic.spec,v $
Revision 1.3  2010/08/22 08:51:30  glen
- ensure rpmbuild macros present

Revision 1.2  2010/08/21 19:08:28  glen
- updated deps with pearize.sh
- release 2

Revision 1.1  2008/10/11 09:28:04  adamg
- new

